> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpaperjet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all workflow executions

> Get all workflow executions for the organization



## OpenAPI

````yaml get /api/v1/executions
openapi: 3.1.0
info:
  title: PaperJet API
  description: Secure document extraction API
  version: 1.0.0
servers:
  - url: https://app.getpaperjet.com
    description: Production Server
security:
  - apiKeyAuth: []
paths:
  /api/v1/executions:
    get:
      description: Get all workflow executions for the organization
      operationId: getApiV1Executions
      responses:
        '200':
          description: List of executions
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    status:
                      type: string
                      enum:
                        - Queued
                        - Processing
                        - Failed
                        - Completed
                    id:
                      type: string
                    createdAt:
                      type: string
                    ownerId:
                      type: string
                    workflowId:
                      type: string
                    workflowName:
                      type: string
                    fileId:
                      type: string
                    fileName:
                      type: string
                    jobId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    errorMessage:
                      anyOf:
                        - type: string
                        - type: 'null'
                    startedAt:
                      type: string
                    completedAt:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - status
                    - id
                    - createdAt
                    - ownerId
                    - workflowId
                    - workflowName
                    - fileId
                    - fileName
                    - jobId
                    - errorMessage
                    - startedAt
                    - completedAt
        '500':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````